UnstartedSystemException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, class: UnstartedSystemException

Package org.apache.geode

# Class UnstartedSystemException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.NoSystemException
org.apache.geode.UnstartedSystemException

All Implemented Interfaces:
  `Serializable`

public class UnstartedSystemException extends NoSystemException
An `UnstartedSystemException` is thrown when the specified locator exists but is not running or could not be connected to.

The most likely reasons for this are:

- The locator has not completely started.
- The locator is stopping.
- The locator died or was killed.

As of GemFire 5.0 this exception should be named UnstartedLocatorException.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnstartedSystemException(String message)`
  Creates a new `UnstartedSystemException`.
  `UnstartedSystemException(String message, Throwable cause)`
  Creates a new `UnstartedSystemException` with the given message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnstartedSystemException

    public UnstartedSystemException(String message)
    Creates a new `UnstartedSystemException`.
    Parameters:
      `message` - the detail message

  - ### UnstartedSystemException

    public UnstartedSystemException(String message, Throwable cause)
    Creates a new `UnstartedSystemException` with the given message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause